package com.mortals.xhx.common.code;

import com.mortals.framework.ap.SysConstains;
import com.mortals.framework.common.IBaseEnum;

import java.util.LinkedHashMap;
import java.util.Map;

/**
 * 应用数据统计类型
 */
public enum ModelCensusType implements IBaseEnum {
    FU_WU(1,"聚焦服务", SysConstains.STYLE_DEFAULT),
    XIE_TONG(2,"聚焦协同", SysConstains.STYLE_DEFAULT),
    JIAN_GUAN(3,"聚焦监管", SysConstains.STYLE_DEFAULT),
    SHU_JU(4,"聚焦数据", SysConstains.STYLE_DEFAULT),
    YUN_YING(5,"聚焦运营", SysConstains.STYLE_DEFAULT),
    ;
    private int value;
    private String desc;
    private String style;

    ModelCensusType(int value, String desc, String style) {
        this.value = value;
        this.desc = desc;
        this.style = style;
    }

    @Override
    public int getValue() {
        return this.value;
    }

    @Override
    public String getDesc() {
        return this.desc;
    }

    @Override
    public String getStyle() {
        return this.style;
    }

    public static ModelCensusType getByValue(int value) {
        for (ModelCensusType e : ModelCensusType.values()) {
            if (e.getValue() == value) {
                return e;
            }
        }
        return null;
    }

    public static Map<String,String> getEnumMap(int... eItem) {
        Map<String,String> resultMap= new LinkedHashMap<String,String>();
        for (ModelCensusType item : ModelCensusType.values()) {
            try{
                boolean hasE = false;
                for (int e : eItem){
                    if(item.getValue()==e){
                        hasE = true;
                        break;
                    }
                }
                if(!hasE){
                    resultMap.put(item.getValue()+"", item.getDesc());
                }
            }catch(Exception ex){
            }
        }
        return resultMap;
    }
}
