package com.mortals.xhx.module.model.service;
import com.mortals.framework.exception.AppException;
import com.mortals.framework.model.Context;
import com.mortals.framework.service.ICRUDService;
import com.mortals.xhx.module.model.model.ModelEntity;
import com.mortals.xhx.module.model.model.ModelQuery;

import java.util.List;

/**
* ModelService
*
* 模块 service接口
*
* @author zxfei
* @date 2022-01-12
*/
public interface ModelService extends ICRUDService<ModelEntity,Long>{

    /**
     * 包含模块下的数据统计
     * @param params
     * @param context
     * @return
     * @throws AppException
     */
    List<ModelEntity> getListAllInfo(ModelQuery params, Context context) throws AppException;

    /**
     * 获取站点下的所有模块
     * @param siteId
     * @return
     * @throws AppException
     */
    List<ModelEntity> getListBySiteId(Long siteId) throws AppException;
}