package com.mortals.xhx.module.model.web;
import com.mortals.framework.annotation.UnAuth;
import com.mortals.framework.common.IBaseEnum;
import com.mortals.framework.common.Rest;
import com.mortals.framework.web.BaseCRUDJsonBodyMappingController;
import com.mortals.xhx.base.system.param.service.ParamService;
import com.mortals.xhx.common.code.ModelCensusStatus;
import com.mortals.xhx.common.code.ModelCensusType;
import com.mortals.xhx.module.model.model.ModelEntity;
import com.mortals.xhx.module.model.model.ModelQuery;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import org.springframework.web.bind.annotation.*;
import com.mortals.framework.model.Context;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import com.mortals.framework.web.BaseCRUDJsonBodyMappingController;
import com.mortals.xhx.module.model.model.ModelCensusEntity;
import com.mortals.xhx.module.model.model.ModelCensusQuery;
import com.mortals.xhx.module.model.service.ModelCensusService;
import org.apache.commons.lang3.ArrayUtils;
import com.mortals.framework.util.StringUtils;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import java.util.stream.Collectors;
import com.alibaba.fastjson.JSONObject;
import java.util.Arrays;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;
import static com.mortals.framework.ap.SysConstains.*;
/**
*
* 模块下的数据统计
*
* @author zxfei
* @date 2022-07-05
*/
@RestController
@RequestMapping("model/census")
public class ModelCensusController extends BaseCRUDJsonBodyMappingController<ModelCensusService,ModelCensusEntity,Long> {

    @Autowired
    private ParamService paramService;

    public ModelCensusController(){
        super.setModuleDesc( "模块下的数据统计");
    }

    @Override
    protected void init(Map<String, Object> model, Context context) {
        this.addDict(model, "censusType", IBaseEnum.getEnumMap(ModelCensusType.class));
        this.addDict(model, "status", IBaseEnum.getEnumMap(ModelCensusStatus.class));
        super.init(model, context);
    }

    /**
     * 条件查询，无分页信息
     * @param query
     * @return
     */
    @PostMapping({"list/noPage"})
    @UnAuth
    public Rest<Object> getList(@RequestBody ModelCensusQuery query) {
        Rest<Object> ret = new Rest();
        Map<String, Object> model = new HashMap();
        Context context = this.getContext();
        String busiDesc = "查询" + this.getModuleDesc();
        int code=1;
        try {
            List<ModelCensusEntity> result = this.getService().find(query, context);
            model.put("data", result);
            model.put("message_info", busiDesc + "成功");
            this.recordSysLog(this.request, busiDesc + " 【成功】");
        } catch (Exception var9) {
            code = -1;
            this.doException(this.request, busiDesc, model, var9);
        }

        this.init(model, context);
        ret.setCode(code);
        ret.setData(model);
        ret.setDict(model.remove("dict"));
        ret.setMsg(model.get("message_info") == null ? "" : model.remove("message_info").toString());
        return ret;
    }

    /**
     * 条件查询，无分页信息
     * @param query
     * @return
     */
    @PostMapping({"list/bySite"})
    @UnAuth
    public Rest<Object> getListBySite(@RequestBody ModelQuery query) {
        Rest<Object> ret = new Rest();
        Map<String, Object> model = new HashMap();
        Context context = this.getContext();
        String busiDesc = "查询" + this.getModuleDesc();
        int code=1;
        try {
            List<ModelCensusEntity> result = this.getService().getListBySiteId(query.getSiteId());
            model.put("data", result);
            model.put("message_info", busiDesc + "成功");
            this.recordSysLog(this.request, busiDesc + " 【成功】");
        } catch (Exception var9) {
            code = -1;
            this.doException(this.request, busiDesc, model, var9);
        }

        this.init(model, context);
        ret.setCode(code);
        ret.setData(model);
        ret.setDict(model.remove("dict"));
        ret.setMsg(model.get("message_info") == null ? "" : model.remove("message_info").toString());
        return ret;
    }
}