package com.mortals.xhx.feign.model.vo;

import lombok.Data;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

@Data
public class SiteFeignVO implements Serializable {
    private static final long serialVersionUID = 1L;

    private Long id;
    /**
     * 站点名称
     */
    private String siteName;
    /**
     * 站点编号
     */
    private String siteCode;
    /**
     * 区域Id
     */
    private String areaID;
    /**
     * 区域编号
     */
    private String areaCode;
    /**
     * 区域名称
     */
    private String areaName;
    /**
     * 省编码
     */
    private String proCode;
    /**
     * 市编码
     */
    private String cityCode;
    /**
     * 区编码
     */
    private String districtCode;
    /**
     * 站点服务器ip
     */
    private String siteIp;
    /**
     * 站点服务器端口
     */
    private String sitePort;
    /**
     * 经度
     */
    private String longitude;
    /**
     * 纬度
     */
    private String latitude;
    /**
     * 中心联系电话
     */
    private String siteTel;
    /**
     * 中心详细地址
     */
    private String detailAddress;
    /**
     * 中心介绍
     */
    private String siteRemark;
    /**
     * 上午上班开始时间
     */
    private Date amWorkStartTime;
    /**
     * 上午上班结束时间
     */
    private Date amWorkEndTime;
    /**
     * 下午上班开始时间
     */
    private Date pmWorkStartTime;
    /**
     * 下午上班结束时间
     */
    private Date pmWorkEndTime;
    /**
     * 周一 (1.上班，0.不上)
     */
    private Integer workday1;
    /**
     * 周二 (1.上班，0.不上)
     */
    private Integer workday2;
    /**
     * 周三 (1.上班，0.不上)
     */
    private Integer workday3;
    /**
     * 周四 (1.上班，0.不上)
     */
    private Integer workday4;
    /**
     * 周五 (1.上班，0.不上)
     */
    private Integer workday5;
    /**
     * 周六 (1.上班，0.不上)
     */
    private Integer workday6;
    /**
     * 周日 (1.上班，0.不上)
     */
    private Integer workday7;
    /**
     * 楼层
     */
    private Integer level;
    /**
     * 楼栋
     */
    private Integer building;
    /**
     * 部署模块，逗号分隔
     */
    private String modelIds;
    /** 站点包含的模块 */
    private List<ModelFeignVO> modelList;
}
