package com.mortals.xhx.module.role.model;

import java.util.List;
import java.util.ArrayList;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.role.model.vo.RoleModelVo;
/**
 * 角色模块数据实体对象
 *
 * @author zxfei
 * @date 2022-07-07
 */

public class RoleModelEntity extends RoleModelVo {
    private static final long serialVersionUID = 1L;

    /**
     * 角色ID，主键
     */
    private Long roleId;
    /**
     * 模块ID，主键
     */
    private String modelIds;
    /**
     * 模块下的数据统计
     */
    private String censusIds;



    public RoleModelEntity(){}
    /**
     * 获取 角色ID，主键
     * @return Long
     */
    public Long getRoleId(){
        return roleId;
    }
    /**
     * 设置 角色ID，主键
     * @param roleId
     */
    public void setRoleId(Long roleId){
        this.roleId = roleId;
    }
    /**
     * 获取 模块ID，主键
     * @return String
     */
    public String getModelIds(){
        return modelIds;
    }
    /**
     * 设置 模块ID，主键
     * @param modelIds
     */
    public void setModelIds(String modelIds){
        this.modelIds = modelIds;
    }
    /**
     * 获取 模块下的数据统计
     * @return String
     */
    public String getCensusIds(){
        return censusIds;
    }
    /**
     * 设置 模块下的数据统计
     * @param censusIds
     */
    public void setCensusIds(String censusIds){
        this.censusIds = censusIds;
    }




    @Override
    public int hashCode() {
        return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof RoleModelEntity) {
            RoleModelEntity tmp = (RoleModelEntity) obj;
            if (this.getId() == tmp.getId()) {
                return true;
            }
        }
        return false;
    }

    public String toString(){
        StringBuilder sb = new StringBuilder("");
        sb.append(",roleId:").append(getRoleId());
        sb.append(",modelIds:").append(getModelIds());
        sb.append(",censusIds:").append(getCensusIds());
        return sb.toString();
    }

    public void initAttrValue(){

        this.roleId = null;

        this.modelIds = "";

        this.censusIds = "";
    }
}