package com.mortals.xhx.module.role.model;

import java.util.List;
import com.mortals.xhx.module.role.model.RoleModelEntity;
/**
 * 角色模块数据查询对象
 *
 * @author zxfei
 * @date 2022-07-07
 */
public class RoleModelQuery extends RoleModelEntity {
    /** 开始 主键,自增长 */
    private Long idStart;

    /** 结束 主键,自增长 */
    private Long idEnd;

    /** 增加 主键,自增长 */
    private Long idIncrement;

    /** 主键,自增长列表 */
    private List <Long> idList;

    /** 开始 角色ID，主键 */
    private Long roleIdStart;

    /** 结束 角色ID，主键 */
    private Long roleIdEnd;

    /** 增加 角色ID，主键 */
    private Long roleIdIncrement;

    /** 角色ID，主键列表 */
    private List <Long> roleIdList;

    /** 模块ID，主键 */
    private List<String> modelIdsList;

    /** 模块下的数据统计 */
    private List<String> censusIdsList;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<RoleModelQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<RoleModelQuery> andConditionList;

    public RoleModelQuery(){}

    /**
     * 获取 开始 主键,自增长
     * @return idStart
     */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
     * 设置 开始 主键,自增长
     * @param idStart
     */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
     * 获取 结束 主键,自增长
     * @return $idEnd
     */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
     * 设置 结束 主键,自增长
     * @param idEnd
     */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
     * 获取 增加 主键,自增长
     * @return idIncrement
     */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
     * 设置 增加 主键,自增长
     * @param idIncrement
     */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
     * 获取 主键,自增长
     * @return idList
     */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
     * 设置 主键,自增长
     * @param idList
     */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
     * 获取 开始 角色ID，主键
     * @return roleIdStart
     */
    public Long getRoleIdStart(){
        return this.roleIdStart;
    }

    /**
     * 设置 开始 角色ID，主键
     * @param roleIdStart
     */
    public void setRoleIdStart(Long roleIdStart){
        this.roleIdStart = roleIdStart;
    }

    /**
     * 获取 结束 角色ID，主键
     * @return $roleIdEnd
     */
    public Long getRoleIdEnd(){
        return this.roleIdEnd;
    }

    /**
     * 设置 结束 角色ID，主键
     * @param roleIdEnd
     */
    public void setRoleIdEnd(Long roleIdEnd){
        this.roleIdEnd = roleIdEnd;
    }

    /**
     * 获取 增加 角色ID，主键
     * @return roleIdIncrement
     */
    public Long getRoleIdIncrement(){
        return this.roleIdIncrement;
    }

    /**
     * 设置 增加 角色ID，主键
     * @param roleIdIncrement
     */
    public void setRoleIdIncrement(Long roleIdIncrement){
        this.roleIdIncrement = roleIdIncrement;
    }

    /**
     * 获取 角色ID，主键
     * @return roleIdList
     */
    public List<Long> getRoleIdList(){
        return this.roleIdList;
    }

    /**
     * 设置 角色ID，主键
     * @param roleIdList
     */
    public void setRoleIdList(List<Long> roleIdList){
        this.roleIdList = roleIdList;
    }

    /**
     * 获取 模块ID，主键
     * @return modelIdsList
     */
    public List<String> getModelIdsList(){
        return this.modelIdsList;
    }

    /**
     * 设置 模块ID，主键
     * @param modelIdsList
     */
    public void setModelIdsList(List<String> modelIdsList){
        this.modelIdsList = modelIdsList;
    }
    /**
     * 获取 模块下的数据统计
     * @return censusIdsList
     */
    public List<String> getCensusIdsList(){
        return this.censusIdsList;
    }

    /**
     * 设置 模块下的数据统计
     * @param censusIdsList
     */
    public void setCensusIdsList(List<String> censusIdsList){
        this.censusIdsList = censusIdsList;
    }
    /**
     * 设置  主键,自增长
     * @param id
     */
    public RoleModelQuery id(Long id){
        setId(id);
        return this;
    }

    /**
     * 设置 开始 主键,自增长
     * @param idStart
     */
    public RoleModelQuery idStart(Long idStart){
        this.idStart = idStart;
        return this;
    }

    /**
     * 设置 结束 主键,自增长
     * @param idEnd
     */
    public RoleModelQuery idEnd(Long idEnd){
        this.idEnd = idEnd;
        return this;
    }

    /**
     * 设置 增加 主键,自增长
     * @param idIncrement
     */
    public RoleModelQuery idIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
        return this;
    }

    /**
     * 设置 主键,自增长
     * @param idList
     */
    public RoleModelQuery idList(List<Long> idList){
        this.idList = idList;
        return this;
    }

    /**
     * 设置  角色ID，主键
     * @param roleId
     */
    public RoleModelQuery roleId(Long roleId){
        setRoleId(roleId);
        return this;
    }

    /**
     * 设置 开始 角色ID，主键
     * @param roleIdStart
     */
    public RoleModelQuery roleIdStart(Long roleIdStart){
        this.roleIdStart = roleIdStart;
        return this;
    }

    /**
     * 设置 结束 角色ID，主键
     * @param roleIdEnd
     */
    public RoleModelQuery roleIdEnd(Long roleIdEnd){
        this.roleIdEnd = roleIdEnd;
        return this;
    }

    /**
     * 设置 增加 角色ID，主键
     * @param roleIdIncrement
     */
    public RoleModelQuery roleIdIncrement(Long roleIdIncrement){
        this.roleIdIncrement = roleIdIncrement;
        return this;
    }

    /**
     * 设置 角色ID，主键
     * @param roleIdList
     */
    public RoleModelQuery roleIdList(List<Long> roleIdList){
        this.roleIdList = roleIdList;
        return this;
    }


    /**
     * 设置 模块ID，主键
     * @param modelIds
     */
    public RoleModelQuery modelIds(String modelIds){
        setModelIds(modelIds);
        return this;
    }

    /**
     * 设置 模块ID，主键
     * @param modelIdsList
     */
    public RoleModelQuery modelIdsList(List<String> modelIdsList){
        this.modelIdsList = modelIdsList;
        return this;
    }


    /**
     * 设置 模块下的数据统计
     * @param censusIds
     */
    public RoleModelQuery censusIds(String censusIds){
        setCensusIds(censusIds);
        return this;
    }

    /**
     * 设置 模块下的数据统计
     * @param censusIdsList
     */
    public RoleModelQuery censusIdsList(List<String> censusIdsList){
        this.censusIdsList = censusIdsList;
        return this;
    }

    /**
     * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
     * @return orConditionList
     */
    public List<RoleModelQuery> getOrConditionList(){
        return this.orConditionList;
    }

    /**
     * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
     * @param orConditionList
     */
    public void setOrConditionList(List<RoleModelQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
     * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
     * @return andConditionList
     */
    public List<RoleModelQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
     * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
     * @param andConditionList
     */
    public void setAndConditionList(List<RoleModelQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}