package com.mortals.xhx.module.role.service.impl;
import com.mortals.framework.util.DataUtil;
import com.mortals.framework.util.StringUtils;
import com.mortals.xhx.module.role.model.RoleModelQuery;
import com.mortals.xhx.module.role.model.RoleUserEntity;
import com.mortals.xhx.module.role.service.RoleUserService;
import com.mortals.xhx.module.user.model.UserEntity;
import com.mortals.xhx.module.user.service.UserService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.mortals.framework.service.impl.AbstractCRUDServiceImpl;
import com.mortals.xhx.module.role.dao.RoleModelDao;
import com.mortals.xhx.module.role.model.RoleModelEntity;
import com.mortals.xhx.module.role.service.RoleModelService;

import java.util.*;
import java.util.stream.Collectors;

/**
* RoleModelService
* 角色模块数据 service实现
*
* @author zxfei
* @date 2022-07-05
*/
@Service("roleModelService")
public class RoleModelServiceImpl extends AbstractCRUDServiceImpl<RoleModelDao, RoleModelEntity, Long> implements RoleModelService {

    @Autowired
    private RoleUserService roleUserService;

    @Override
    public Map<Long, Long> getModelIdsUserId(Long userId) {
        List<RoleModelEntity> roleModelList = getListByUser(userId);
        Map<Long, Long> map = new HashMap<>();
        roleModelList.stream().forEach(item->{
            List<String> modelIds = StringUtils.converStr2List(item.getModelIds());
            List<Long> ids = modelIds.stream().map(s -> DataUtil.converStr2Long(s.trim(),0)).collect(Collectors.toList());
            ids.stream().forEach(i->{
                map.put(i,i);
            });
        });
        return map;
    }

    @Override
    public Map<Long, Long> getModelCensusByUserId(Long userId) {
        List<RoleModelEntity> roleModelList = getListByUser(userId);
        Map<Long, Long> map = new HashMap<>();
        roleModelList.stream().forEach(item->{
            List<String> censusIds = StringUtils.converStr2List(item.getCensusIds());
            List<Long> ids = censusIds.stream().map(s -> DataUtil.converStr2Long(s.trim(),0)).collect(Collectors.toList());
            ids.stream().forEach(i->{
                map.put(i,i);
            });
        });
        return map;
    }

    private List<RoleModelEntity> getListByUser(Long userId){
        RoleUserEntity query = new RoleUserEntity();
        query.setUserId(userId);
        List<RoleUserEntity> roleUserEntityList = roleUserService.find(query);
        List<Long> roleIds = new ArrayList<>();
        roleUserEntityList.stream().forEach(item->{
            roleIds.add(item.getRoleId());
        });
        RoleModelQuery condition = new RoleModelQuery();
        condition.setRoleIdList(roleIds);
        List<RoleModelEntity> roleModelEntities = this.find(condition);
        return roleModelEntities;
    }
}